Bug 55512 - Summariser should be enabled by default in Non GUI mode
Summariser should be enabled by default in Non GUI mode
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.9
All All
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-08-31 20:35 UTC by Philippe Mouawad
Modified: 2013-12-12 21:29 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Mouawad 2013-08-31 20:35:09 UTC
I think this very useful option should be enabled by default to encourage usage of non gui mode and because it has very low impact on performances.
Comment 1 Sebb 2013-09-01 19:30:25 UTC
I think this should be discussed on the DEV list first please.
Keep this issue open until the discussion is resolved.
Comment 2 Philippe Mouawad 2013-09-22 19:37:04 UTC
I propose changing the following:
- summariser.interval => 30 s
in org.apache.jmeter.JMeter.runNonGui(String, String, boolean, String) , change JMeterUtils.getPropDefault("summariser.name", "") to JMeterUtils.getPropDefault("summariser.name", "DefaultNonGuiSummariser")

I no objection, I will be commiting this tomorrow evening.
Comment 3 Sebb 2013-09-22 22:54:39 UTC
(In reply to Philippe Mouawad from comment #2)
> I propose changing the following:
> - summariser.interval => 30 s

Why?

> in org.apache.jmeter.JMeter.runNonGui(String, String, boolean, String) ,
> change JMeterUtils.getPropDefault("summariser.name", "") to
> JMeterUtils.getPropDefault("summariser.name", "DefaultNonGuiSummariser")

Not a good idea to have such a long name as it can cause unnecessary wrapping.
That's why the default is empty.
Comment 4 Philippe Mouawad 2013-09-27 23:19:42 UTC
(In reply to Sebb from comment #3)
> (In reply to Philippe Mouawad from comment #2)
> > I propose changing the following:
> > - summariser.interval => 30 s
> 
> Why?
> 
Because 180s seems to me a long interval to react to test event

> > in org.apache.jmeter.JMeter.runNonGui(String, String, boolean, String) ,
> > change JMeterUtils.getPropDefault("summariser.name", "") to
> > JMeterUtils.getPropDefault("summariser.name", "DefaultNonGuiSummariser")
> 
> Not a good idea to have such a long name as it can cause unnecessary
> wrapping.
> That's why the default is empty.
But if we keep it empty it will not be enabled, or do I misunderstand something ?
Comment 5 Philippe Mouawad 2013-11-23 14:35:46 UTC
Any feedback on this ?
Comment 6 Sebb 2013-11-23 15:56:48 UTC
(In reply to Philippe Mouawad from comment #4)
> (In reply to Sebb from comment #3)
> > (In reply to Philippe Mouawad from comment #2)
> > > I propose changing the following:
> > > - summariser.interval => 30 s
> > 
> > Why?
> > 
> Because 180s seems to me a long interval to react to test event
> 
> > > in org.apache.jmeter.JMeter.runNonGui(String, String, boolean, String) ,
> > > change JMeterUtils.getPropDefault("summariser.name", "") to
> > > JMeterUtils.getPropDefault("summariser.name", "DefaultNonGuiSummariser")
> > 
> > Not a good idea to have such a long name as it can cause unnecessary
> > wrapping.
> > That's why the default is empty.

Ignore that.

> But if we keep it empty it will not be enabled, or do I misunderstand
> something ?

No, you are correct, but using a long name causes unnecessary word-wrap
Comment 7 Philippe Mouawad 2013-12-12 21:29:27 UTC
Date: Thu Dec 12 21:28:40 2013
New Revision: 1550536

URL: http://svn.apache.org/r1550536
Log:
Bug 55512 - Summariser should be enabled by default in Non GUI mode
Bugzilla Id: 55512

Modified:
    jmeter/trunk/bin/jmeter.properties
    jmeter/trunk/src/core/org/apache/jmeter/JMeter.java
    jmeter/trunk/src/core/org/apache/jmeter/reporters/Summariser.java
    jmeter/trunk/xdocs/changes.xml